[P041]Simple Legal Status
Receive simple legal status data by patent_id or patent_number. Simple Legal Status data includes Active, Pending, Inactive, Undetermined, PCT designated period, PCT designated expiration. For more details please view the full list of fields in the developer document.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent_id |
| string | US11205304B2 | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | US11205304B2 | patent number |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
simple_legal_status | array | [
"Pending"
] | Simple legal status:
such as: Active, Pending, Inactive, Undetermined, PCT designated period, PCT designated expiration |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"simple_legal_status": [
"Pending"
]
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |